import React from "react";
import DataGrid, { Paging, Pager } from "devextreme-react/data-grid";
import { DataGridProps } from "./types";

const PsDataGrid = (props: DataGridProps) => {
  const {
    columns,
    dataSource,
    allowedPageSizes,
    defaultPageSize = 5,
    showPagiNation,
  } = props;
  return (
    <DataGrid
      dataSource={dataSource}
      defaultColumns={columns}
      showBorders={true}
    >
      <Paging defaultPageSize={defaultPageSize} enabled={showPagiNation} />
      <Pager showPageSizeSelector={true} allowedPageSizes={allowedPageSizes} />
    </DataGrid>
  );
};

export default PsDataGrid;
