import { jsPDF as JsPdf } from "jspdf";
import { saveAs } from "file-saver-es";
import { Workbook } from "exceljs";
import { exportDataGrid as exportDataGridToPdf } from "devextreme/pdf_exporter";
import { exportDataGrid as exportDataGridToXLSX } from "devextreme/excel_exporter";
import { DataGridTypes } from "devextreme-react/data-grid";

export const onExporting = (e: DataGridTypes.ExportingEvent) => {
    if (e.format === "pdf") {
      const doc = new JsPdf();
      exportDataGridToPdf({
        jsPDFDocument: doc,
        component: e.component,
      }).then(() => {
        doc.save("Contacts.pdf");
      });
    } else {
      const workbook = new Workbook();
      const worksheet = workbook.addWorksheet("Contacts");
  
      exportDataGridToXLSX({
        component: e.component,
        worksheet,
        autoFilterEnabled: true,
      }).then(() => {
        workbook.xlsx.writeBuffer().then((buffer) => {
          saveAs(
            new Blob([buffer], { type: "application/octet-stream" }),
            "Contacts.xlsx"
          );
        });
      });
      e.cancel = true;
    }
  };
  
export const dropDownOptions = { width: "auto" };