import React, { useCallback } from "react";
import Menu from "devextreme-react/menu";
import { MenuType, ProductItemType } from "./types";

const showSubmenuMode:any = {
  onHover: {
    name: "onHover",
    delay: { show: 0, hide: 500 },
  },
  onClick: {
    name: "onClick",
    delay: { show: 0, hide: 300 },
  },
};

const PsMenu = (props: MenuType) => {
  const {
    onItemClick,
    data,
    displayExpr,
    orientation = "horizontal",
    mode = "onClick",
  } = props;

  const itemClick = useCallback(
    (e: any & { itemData: ProductItemType }) => {
      if (e.itemData.price) {
        onItemClick(e.itemData);
      }
    },
    [onItemClick]
  );

  return (
    <Menu
      dataSource={data}
      displayExpr={displayExpr}
      showFirstSubmenuMode={showSubmenuMode[mode]}
      orientation={orientation}
      onItemClick={itemClick}
    />
  );
};

export default PsMenu;
