import { MenuTypes } from "devextreme-react/cjs/menu";

export type MenuType = {
  onItemClick: (e: any) => void;
  data: Itemprops[];
  displayExpr:string;
  orientation?: "horizontal" | "vertical";
  mode?: Mode;
};

export type Itemprops = {
  id: string;
  name: string;
  [key: string]: any; 
  items?: Itemprops[];
};

export type Mode = "onHover" | "onClick";
export type ModeProps = {
  onHover: showSubmenuModesType;
  onClick: showSubmenuModesType;
};
export interface showSubmenuModesType {
  name: MenuTypes.SubmenuShowMode;
  delay: {
    show: number;
    hide: number;
  };
}

export interface ProductItemType {
  id: string;
  name: string;
  price: number;
  icon: string;
}
