export const removeUndefinedProperties = <T>(obj: Record<string, T>) => {
  return Object.fromEntries(
    Object.entries(obj).filter(
      ([, value]) => value !== undefined && value !== null
    )
  );
};

export const leadingZero = (num: number) => {
  return num < 10 ? `0${num}` : `${num}`;
};

export const FormatDate = (dt: any) => {
  const date = new Date(dt);
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  const hours = date.getHours();
  const minutes = date.getMinutes();
  const seconds = date.getSeconds();

  // Format the date and time
  return `${year}-${leadingZero(month)}-${leadingZero(day)}
       ${leadingZero(hours)}:${leadingZero(minutes)}:${leadingZero(seconds)}`;
};

export const truncateString = (str: any, maxLength: number) => {
  if (typeof str !== "string") {
    throw new Error("The input must be a string");
  }

  if (typeof maxLength !== "number" || maxLength < 0) {
    throw new Error("Max length must be a non-negative number");
  }

  if (str.length <= maxLength) {
    return str;
  } else {
    return str.slice(0, maxLength) + "...";
  }
};
